---
slug: today-i-learned/math/rediscovering-the-basics
title: "Rediscovering Math Basics"
author: Michael Kargl
author_title: osaKami
tags: [ today-i-learned, math, theory, proof]
---

## Introduction


As a software developer, I spend most of my time solving technical problems. Recently
I was able to work on a project that required a very deep understanding of certain mathematical
theories and, due to not having had to flex that muscle for the past 10 years, found myself quite
challenged.

As steps to preemtively tackle that (and also get experience with blogging) I decided to create
this series about "Rediscovering the Basics" with the goals to

1. have a playful way of regaining some of that lost muscle mass ;)
1. introduce meaning by calculating by solving real-world problems with the newly gained knowledge

<!-- truncate -->

## Mathematics

> [wikipedia][wiki_math]:\
> Mathematics is a field of study that discovers and organizes
> methods, theories and theorems that are developed and proved
> for the needs of empirical sciences and mathematics itself.
> \
> Mathematics involves the description and manipulation of abstract
> entities that are stipulated to have certain properties or pass certain
> assumptions.

[wiki_math]: https://en.wikipedia.org/wiki/Mathematics#Number_theory

* Arithmetic / Number Theory
* Geometry
* Algebra
* Calculus
* Discrete mathematics
* Logic and Set Theory
* Statistics
* Computational

### Arithmatic / Number Theory

The study of numerical operations like addition, subtraction, multiplication, and division.
In a wider sense, it also includes exponentiation, extraction of roots, and taking logarithms.\
Source: [wikipedia]

[^source]: test2


 <!-- (<TeX math={'A := &#40;a \\cdot h&#41; - &#40;\\frac{a}{2} \\cdot h&#41; -&#40;\\frac{a}{2} \\cdot h&#41;'} />) -->
